FWTextInternal::PageInfo Struct Reference

## Public Member Functions

| PageInfo ()
bool | isSimilar (PageInfo const &p) const
| returns true if the page has same color position More...
MWAWSection | getSection () const
| return a section More...

## Public Attributes

int | m_page
| the pages More...
std::vector< ColumnInfo > | m_columns
| the columns More...

## Constructor & Destructor Documentation

FWTextInternal::PageInfo::PageInfo | ( |  | ) |

inline

## Member Function Documentation

MWAWSection FWTextInternal::PageInfo::getSection | ( |  | ) | const

inline

return a section

Referenced by FWText::send().

bool FWTextInternal::PageInfo::isSimilar | ( | PageInfo const & | p | ) | const

inline

returns true if the page has same color position

Referenced by FWText::send().

## Member Data Documentation

std::vector<ColumnInfo> FWTextInternal::PageInfo::m_columns

the columns

Referenced by FWTextInternal::Zone::getBreaksPosition(), getSection(), isSimilar(), and FWText::readTextData().

int FWTextInternal::PageInfo::m_page

the pages

Referenced by FWText::readTextData().

The documentation for this struct was generated from the following file:

- FWText.cxx